Digital Human Videos
curl --request POST \
--url https://api.acedata.cloud/digital-human/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"image_url": "<string>",
"audio_url": "<string>",
"text": "大家好,这是离线生成的数字人。",
"voice_id": "<string>",
"engine": "latentsync",
"guidance": 2,
"steps": 40,
"seam_fix": true,
"speed": 1,
"resolution": "720p",
"callback_url": "<string>",
"async": false
}
'import requests
url = "https://api.acedata.cloud/digital-human/videos"
payload = {
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"image_url": "<string>",
"audio_url": "<string>",
"text": "大家好,这是离线生成的数字人。",
"voice_id": "<string>",
"engine": "latentsync",
"guidance": 2,
"steps": 40,
"seam_fix": True,
"speed": 1,
"resolution": "720p",
"callback_url": "<string>",
"async": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
video_url: 'https://cdn.acedata.cloud/634d760216.mp4',
image_url: '<string>',
audio_url: '<string>',
text: '大家好,这是离线生成的数字人。',
voice_id: '<string>',
engine: 'latentsync',
guidance: 2,
steps: 40,
seam_fix: true,
speed: 1,
resolution: '720p',
callback_url: '<string>',
async: false
})
};
fetch('https://api.acedata.cloud/digital-human/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "0c0b4d3a-2f1e-4a6b-9c2d-2b3c4d5e6f70",
"trace_id": "a9063166-26ed-4451-85b5-54e896817c69",
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"duration": 17.2,
"width": 1280,
"height": 720,
"engine": "latentsync",
"state": "succeed"
}{
"error": {
"code": "bad_request",
"message": "video_url or image_url is required"
},
"trace_id": "..."
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "..."
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request."
},
"trace_id": "..."
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "..."
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "..."
}API Reference
Digital Human Videos
POST
/
digital-human
/
videos
Digital Human Videos
curl --request POST \
--url https://api.acedata.cloud/digital-human/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"image_url": "<string>",
"audio_url": "<string>",
"text": "大家好,这是离线生成的数字人。",
"voice_id": "<string>",
"engine": "latentsync",
"guidance": 2,
"steps": 40,
"seam_fix": true,
"speed": 1,
"resolution": "720p",
"callback_url": "<string>",
"async": false
}
'import requests
url = "https://api.acedata.cloud/digital-human/videos"
payload = {
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"image_url": "<string>",
"audio_url": "<string>",
"text": "大家好,这是离线生成的数字人。",
"voice_id": "<string>",
"engine": "latentsync",
"guidance": 2,
"steps": 40,
"seam_fix": True,
"speed": 1,
"resolution": "720p",
"callback_url": "<string>",
"async": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
video_url: 'https://cdn.acedata.cloud/634d760216.mp4',
image_url: '<string>',
audio_url: '<string>',
text: '大家好,这是离线生成的数字人。',
voice_id: '<string>',
engine: 'latentsync',
guidance: 2,
steps: 40,
seam_fix: true,
speed: 1,
resolution: '720p',
callback_url: '<string>',
async: false
})
};
fetch('https://api.acedata.cloud/digital-human/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "0c0b4d3a-2f1e-4a6b-9c2d-2b3c4d5e6f70",
"trace_id": "a9063166-26ed-4451-85b5-54e896817c69",
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"duration": 17.2,
"width": 1280,
"height": 720,
"engine": "latentsync",
"state": "succeed"
}{
"error": {
"code": "bad_request",
"message": "video_url or image_url is required"
},
"trace_id": "..."
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "..."
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request."
},
"trace_id": "..."
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "..."
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "..."
}Autoryzacje
API token from https://platform.acedata.cloud
Treść
application/json
Spoken text -> TTS (requires voice_id).
Przykład:
"大家好,这是离线生成的数字人。"
Czy ta strona była pomocna?

